com.smartgwt.client.types

## Enum AutoFitIconFieldType

- java.lang.Object
- - java.lang.Enum<AutoFitIconFieldType>
  - - com.smartgwt.client.types.AutoFitIconFieldType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<AutoFitIconFieldType>

      public enum AutoFitIconFieldType
      extends java.lang.Enum<AutoFitIconFieldType>
      implements ValueEnum

  How should fields of `type:"icon"` be sized by default?

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ICONWIDTH` size the field to accommodate the width of the icon
    `NONE` Apply no special sizing to icon fields - treat them like any other field in the grid
    `TITLE` size the field to accommodate the title (or the width of the icon if it exceeds the width of the title.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static AutoFitIconFieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutoFitIconFieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AutoFitIconFieldType NONE

      Apply no special sizing to icon fields - treat them like any other field in the grid

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### ICONWIDTH

          public static final AutoFitIconFieldType ICONWIDTH

      size the field to accommodate the width of the icon

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "iconWidth".

    - #### TITLE

          public static final AutoFitIconFieldType TITLE

      size the field to accommodate the title (or the width of the icon if it exceeds the width of the title.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "title".

  - ### Method Detail

    - #### values

          public static AutoFitIconFieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoFitIconFieldType c : AutoFitIconFieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoFitIconFieldType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`